# Useful Trophies

**Mistlands Update**

Has this ever happened to you?

Chests filling up with trophies you don't know what to do with,
Your bonfire is already filled to the brim with "sacrifices" to your favorite god,
You are running out of places to store these heads!

All the while, you wish your stats were a bit higher...

Well look no further!

---

This mod gives you the ability to consume the heads of your enemies!
Each Trophy consumed will increase a random skill by how rare the trophy is!
The amount varies by trophy head, and can be configured.

Boss Trophies now also have an extended use.
When a boss trophy is consumed, you gain their guardian buff for an extended duration!

You can also optionally consume the boss summon items for a shorter buff duration, put those ancient seeds to good use!

Cash Money!
Trophies now can also be sold for gold!
(Boss trophies by default have a value of 0 to prevent them from being sold. feel free to give them a reasonable value)

---
## Installation (manual)

If you are installing this manually, do the following

1. Extract the archive into a folder. **Do not extract into the game folder.**
2. Move the contents of `plugins` folder into `<GameDirectory>\BepInEx\plugins`.
3. Run the game.

---
### Configuration
```
CanConsumeBosses: you can turn this off to prevent boss trophies from being consumed. 
For those who worry about accidentally consuming their hard earned trophy before handing it in

CanConsumeBossSummonItems: Disable if you don't want to accidentally eat the items you need to summon bosses

EnableBossBuffs: Disable this if you dont want to gain any buffs from this mod

BossPowerTimeSeconds: The amount of buff time consuming a boss trophy gives you

BossSummonItemTimeSeconds: (Per Item) The amount of buff time consuming a boss summon item gives you
Setting this to 0 will also disable the consumption of that item

ExpScaling: Amount of skill exp each trophy provides

GoldValue: Amount of gold each trophy is worth
Setting this to 0 will disable the selling of that trophy
```

---

### Changelist

1.0.0 
* Added mod

2.0.0
* Updated for Mistlands support
* Added Boss buff consumption
* Added Boss summon item consumption
* Added gold values for trophies
* Added some measures to prevent player from accidentally consuming boss trophy near turn in point

2.0.1
* Fixed a bug breaking all inventory UI

2.0.2
* Fixed a bug with some bosses not spawning

2.0.3
* Update some config options
* Now diplaying item tooltip information

---

#### Donations - [Buy me a coffee](https://www.buymeacoffee.com/khairex)
